Bug 1706040 - python-biopython FTBFS in rawhide/F31: AttributeError: module 'PIL.Image' has no attribute 'VERSION'
Summary: python-biopython FTBFS in rawhide/F31: AttributeError: module 'PIL.Image' has...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-biopython
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Antonio
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1600316
Blocks: PYTHON38 F31FTBFS 1732841
TreeView+ depends on / blocked
 
Reported: 2019-05-03 12:33 UTC by Miro Hrončok
Modified: 2019-07-31 22:40 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-13 11:06:42 UTC


Attachments (Terms of Use)
build.log from Koji (354.03 KB, text/plain)
2019-05-03 12:33 UTC, Miro Hrončok
no flags Details
root.log from Koji (72.94 KB, text/plain)
2019-05-03 12:33 UTC, Miro Hrončok
no flags Details

Description Miro Hrončok 2019-05-03 12:33:29 UTC
Created attachment 1562380 [details]
build.log from Koji

python-biopython-1.73-2.fc31 fails to build in rawhide:

BUILDSTDERR: ======================================================================
BUILDSTDERR: ERROR: test_render_KGML_transparency (test_KGML_graphics.KGMLPathwayTest)
BUILDSTDERR: Rendering of KGML to PDF, with color alpha channel.
BUILDSTDERR: ----------------------------------------------------------------------
BUILDSTDERR: Traceback (most recent call last):
BUILDSTDERR:   File "/builddir/build/BUILD/python-biopython-1.73/python3/Tests/test_KGML_graphics.py", line 182, in test_render_KGML_transparency
BUILDSTDERR:     kgml_map.draw(p[1].output_stem + '_transparency.pdf')
BUILDSTDERR:   File "/builddir/build/BUILD/python-biopython-1.73/python3/build/lib.linux-x86_64-3.7/Bio/Graphics/KGML_vis.py", line 148, in draw
BUILDSTDERR:     self.drawing.drawImage(imfilename, 0, 0)
BUILDSTDERR:   File "/usr/lib64/python3.7/site-packages/reportlab/pdfgen/canvas.py", line 946, in drawImage
BUILDSTDERR:     imgObj = pdfdoc.PDFImageXObject(name, image, mask=mask)
BUILDSTDERR:   File "/usr/lib64/python3.7/site-packages/reportlab/pdfbase/pdfdoc.py", line 2102, in __init__
BUILDSTDERR:     self.loadImageFromA85(src)
BUILDSTDERR:   File "/usr/lib64/python3.7/site-packages/reportlab/pdfbase/pdfdoc.py", line 2110, in loadImageFromA85
BUILDSTDERR:     imagedata = pdfutils.makeA85Image(source,IMG=IMG,detectJpeg=True)
BUILDSTDERR:   File "/usr/lib64/python3.7/site-packages/reportlab/pdfbase/pdfutils.py", line 38, in makeA85Image
BUILDSTDERR:     raw = img.getRGBData()
BUILDSTDERR:   File "/usr/lib64/python3.7/site-packages/reportlab/lib/utils.py", line 886, in getRGBData
BUILDSTDERR:     annotateException('\nidentity=%s'%self.identity())
BUILDSTDERR:   File "/usr/lib64/python3.7/site-packages/reportlab/lib/utils.py", line 1390, in annotateException
BUILDSTDERR:     rl_reraise(t,v,b)
BUILDSTDERR:   File "/usr/lib64/python3.7/site-packages/reportlab/lib/utils.py", line 144, in rl_reraise
BUILDSTDERR:     raise v
BUILDSTDERR:   File "/usr/lib64/python3.7/site-packages/reportlab/lib/utils.py", line 871, in getRGBData
BUILDSTDERR:     if Image.VERSION.startswith('1.1.7'): im.load()
BUILDSTDERR: AttributeError: module 'PIL.Image' has no attribute 'VERSION'
BUILDSTDERR: identity=[ImageReader@0x7f73aabf6940 filename='KEGG/map03070.png']
BUILDSTDERR: ----------------------------------------------------------------------

Full log attached.

This is not Python 3.8 specific, but blocks the rebuild for Python 3.8.

Comment 1 Miro Hrončok 2019-05-03 12:33:58 UTC
Created attachment 1562393 [details]
root.log from Koji

Comment 2 Antonio 2019-06-13 11:06:42 UTC
Fixed.


Note You need to log in before you can comment on or make changes to this bug.